<?php include('casa/setup.casa.php');
$sel = DataForms::GET('sel');
$vec=explode(',',$sel);
$title = 'Control de Inventario';

function Sucursal($cod){
	$sql = "SELECT * FROM inventarios_ubicaciones ubi
	WHERE ubi.ubica_codigo = '$cod'";
	
	$db= new DB();
	$db->dbSQL($sql);
	$db->next();
		$ubica_nombre = $db->dbField('ubica_nombre');

	return $ubica_nombre;
}
?>
<style>
th{
    text-align:center;
    padding:2px;
}    
td{
    padding:2px;
}    
</style>
<script src="<?php echo PATH_HOME.'assets/js/core/jquery.3.2.1.min.js';?>"></script>	
<script src="<?php echo PATH_HOME.'assets/js/jspdf.debug.js';?>"></script>	
<script src="<?php echo PATH_HOME.'assets/js/word/FileSaver.js';?>"></script> 
<script src="<?php echo PATH_HOME.'assets/js/word/jquery.wordexport.js';?>"></script> 
<hr>
<div id="control">
	<h2>CONTROL DE INVENTARIO <BR>
  IMPORTADORA EL COMERCIO SYS</h2>
	<h3><b>Sucursal: </b><?php echo Sucursal($_GET['ubica']);?></h3>
	<h3><b>Fecha: </b><?php echo date('Y-m-d');?></h3>
										<table width="100%" border="1">
												<tr>							
													<th width="5%" style="color:white;" bgcolor="#156E10">ITEM</th>
                                                <?php
                                                    if($vec[0]) echo $h1 = '<th width="5%" style="color:white;" bgcolor="#156E10">FOTO</th>';
													if($vec[1]) echo $h2 = '<th width="20%" style="color:white;" bgcolor="#156E10">DESCRIPCION</th>';
                                                ?>
													<th width="10%" style="color:white;" bgcolor="#156E10">CANTIDAD CAJAS</th>
													<th width="10%" style="color:white;" bgcolor="#156E10">TOTAL PIEZAS SISTEMA</th>
												<?php
                                                    if($vec[2]) echo $h3 = '<th width="10%" style="color:white;" bgcolor="#156E10">NUMERO CAJAS UBICACION</th>';
													if($vec[3]) echo $h4 = '<th width="10%" style="color:white;" bgcolor="#156E10">CANTIDAD UNIDADES UBICACION</th>';
													if($vec[4]) echo $h5 = '<th width="10%" style="color:white;" bgcolor="#156E10">OBSERVACIONES</th>';
                                                ?>	
												</tr>
											<?php
											if(isset($_GET['ubica'])) $ubica = $_GET['ubica'];
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE prod.ubica_codigo = ubi.ubica_codigo	
											AND ubi.ubica_codigo = '$ubica'
											AND prod_estado = '1'";	
											if($vec[5]) $sql.='ORDER BY prod_item ASC ';
											elseif($vec[6]) $sql.='ORDER BY prod_nombre ASC';

											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = $db->dbField('ubica_nombre');			
													$ubica_color = $db->dbField('ubica_color');												
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');												
												$prod_observaciones = $db->dbField('prod_observaciones');
												  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';
												
												$html.='<tr>';
												// //1 general, 2 destacados, 3 descuentos, 4 promocion
													$html.='<td>'.$prod_item.'</td>';
													if($vec[0]) $html.='<td align=center><img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="70px" height="55px"></td>';										
													if($vec[1]) $html.='<td>'.$prod_nombre.'</td>';
													$html.='<td>'.number_format($CantidadRealCajas,2).'</td>';	
													$html.='<td>'.$prod_unidadesreal.'</td>';														
													if($vec[2]) $html.='<td></td>';														
													if($vec[3]) $html.='<td></td>';														
													if($vec[4]) $html.='<td></td>';														
																							
												
											}//wend() 
											
											echo utf8_encode($html);
											?>		
										</table>
										</div>